Subject: Re: bug#39484: 26.3; try-completion bug

From: Wanrong Lin <[email-masked]>
Date: Tue, 27 Oct 2020 20:44:56 -0400

For this case, "abc" might be OK, unless you think there is another 
better answer. But in the example I gave, don't you think "Xyz" is 
obviously a better answer than "xyz"?

The argument here is for some examples, the function does not return the 
best answer, and also, does not seem to be consistent to me (for those 
two examples I gave). There might be a reason behind this "compromise", 
or, it might be just an arbitrary decision as documented in the comments 
you gave. If it is the latter, can we improve on it? I think those are 
valid questions.

Wanrong

On 10/27/2020 5:21 PM, Andreas Schwab wrote:
> So what should (try-completion "abc" '("Abcde" "aBcdf" "abCdg")) return?
>
> Andreas.
>